#!/usr/bin/env python

import os
import sys

import logging.config
if os.path.exists('test/test_logging.conf'):
    logging.config.fileConfig('test/test_logging.conf')
elif os.path.exists('test_logging.conf'):
    logging.config.fileConfig('test_logging.conf')

if os.path.exists("src"):
    sys.path.append("src")
if os.path.exists("../src"):
    sys.path.append("../src")

has_fuse = False
try:
    import fuse
    has_fuse = True
except:
    pass

has_pyglobus = False
try:
    import pyGlobus
    has_pyglobus = True
except:
    pass

def check_deps():
    if not has_fuse:
        print "FUSE python bindings not installed: http://sourceforge.net/" \
            "project/showfiles.php?group_id=121684&package_id=231951"
        sys.exit(1)
    if not has_pyglobus:
        print "pyGlobus is not installed: pacman -get VDT:pyGlobus"
        sys.exit(1)

def main():
    check_deps()
    from CmsFileServer.CmsFs import main
    main()

if __name__ == '__main__':
    main()

